<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="on">
      <action>temp0 =maincpu.pb@C010</action>
    </script>
    <script state="run">
      <action condition="(frame % 300 == 0) AND (maincpu.pb@C010!=temp0 )">maincpu.pb@C010=00</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="run">
      <action>maincpu.pb@F928=7E</action>
      <action>maincpu.pb@F948=7E</action>
      <action>maincpu.pb@FB28=7E</action>
      <action>maincpu.pb@FB08=7E</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@C002=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@C003=09</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Sound Test">
    <parameter min="1" max="17" step="1"/>
    <script state="change">
      <action>soundcpu.pb@8000=80+param</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
